Native chat completion
Single, stable shape across every AdSkull LLM. Optional SSE streaming.
POST
/
v1
/
llm
/
chat
Native chat completion
curl --request POST \
--url https://api.adskull.io/v1/llm/chat \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"messages": [
{
"content": "<string>"
}
],
"max_tokens": 123,
"temperature": 1,
"top_p": 0.5,
"stream": false,
"tools": [
{}
],
"tool_choice": {},
"stop": "<string>",
"seed": 123,
"response_format": {},
"attachments": [
{
"url": "<string>"
}
]
}
'import requests
url = "https://api.adskull.io/v1/llm/chat"
payload = {
"model": "<string>",
"messages": [{ "content": "<string>" }],
"max_tokens": 123,
"temperature": 1,
"top_p": 0.5,
"stream": False,
"tools": [{}],
"tool_choice": {},
"stop": "<string>",
"seed": 123,
"response_format": {},
"attachments": [{ "url": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
messages: [{content: '<string>'}],
max_tokens: 123,
temperature: 1,
top_p: 0.5,
stream: false,
tools: [{}],
tool_choice: {},
stop: '<string>',
seed: 123,
response_format: {},
attachments: [{url: '<string>'}]
})
};
fetch('https://api.adskull.io/v1/llm/chat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "chat.completion",
"model": "<string>",
"created": 123,
"choices": [
{
"index": 123,
"message": {
"role": "<string>",
"content": "<string>",
"tool_calls": [
{}
]
},
"finish_reason": "<string>"
}
],
"usage": {
"input_tokens": 123,
"output_tokens": 123,
"cached_tokens": 123,
"millicredits_charged": 123,
"credits_charged": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Maximum string length:
255Body
application/json
AdSkull LLM model ID, e.g. claude-opus-4.7
Minimum array length:
1Show child attributes
Show child attributes
Required range:
0 <= x <= 2Required range:
0 <= x <= 1Show child attributes
Show child attributes
⌘I
Native chat completion

